Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596269 - Feature request: re-factor the qpid tools to better handle large-scale configurations.
Feature request: re-factor the qpid tools to better handle large-scale config...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All All
low Severity low
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 09:46 EDT by Ken Giusti
Modified: 2013-02-24 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Giusti 2010-05-26 09:46:13 EDT
Description of problem:

See bug https://bugzilla.redhat.com/show_bug.cgi?id=581006


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The following qpid tools attempt to retrieve a large number of management objects from the broker as part of their normal operation:

qpid-stat,
qpid-config,
qpid-route,
qpid-cluster,

All of the above tools use the QMF getObjects() method call to retrieve all objects of a given class, "queues" for example.  If a large number of objects are defined, then the getObjects() method may not complete before its default timeout expires (60 seconds).

Possible approaches:

*) allow the user to manually override the default timeout via a command line option.  To override the default timeout, the "_timeout" parameter may be passed to getObjects()

*) Put a count of objects for each class type in the broker object.  The tools could use the count to determine if the default timeout should be overridden automagically.

*) QMF V2 will provide a feature where a list of just the object identifiers are returned, rather than a list of the complete objects.  This may be used by the tool to get a summary of all known objects more efficiently that transferring the whole objects themselves.

Note You need to log in before you can comment on or make changes to this bug.